h1, .h1 {
    font-weight: 600;
    font-size: 32px;
    line-height: 1.2;
    margin: 0 0 32px;
}
h2, .h2 {
    font-weight: 600;
    font-size: 28px;
    line-height: 1.2;
    margin: 0 0 24px;
}
h3, .h3 {
    font-weight: 600;
    font-size: 26px;
    line-height: 1.2;
    margin: 0 0 24px;
}
h4, .h4 {
    font-weight: 500;
    font-size: 24px;
    line-height: 1.2;
    margin: 0 0 16px;
}
h5, .h5 {
    font-weight: 400;
    font-size: 24px;
    line-height: 1.1;
    margin: 0 0 16px;
}
h6, .h6 {
    font-size: inherit;
    font-weight: 500;
    line-height: 1.1;
    margin: 0 0 16px;
}
@media screen and (min-width: 768px) {
    h1, .h1 {
        font-size: 48px;
    }
    h2, .h2 {
        font-size: 36px;
    }
}

.flex {
    display: flex;
}
.flex-wrap {
    flex-wrap: wrap;
}
.items-center {
    align-items: center;
}
.gap-x-4 {
    column-gap: 1rem;
}
.gap-y-4 {
    row-gap: 1rem;
}
.mb-0 {
    margin-bottom: 0 !important;
}

.color-primary {
    color: var(--color-primary) !important;
}
.text-nowrap {
    white-space: nowrap;
}
.text-uppercase {
    text-transform: uppercase;
}
.text-center {
    text-align: center;
}
.text-left {
    text-align: left;
}
.font-medium {
    font-weight: 500 !important;
}

.section {
    position: relative;
}
.section__group {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: space-between;
    row-gap: 16px;
}
.section__group + .section__group {
    margin-top: 40px;
}
.section__title-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 24px;
}
.section__title-wrapper .section__title {
    margin-bottom: 0;
}
.section__title {
    font-weight: 600;
    font-size: 24px;
    line-height: 1.3;
    margin: 0 0 16px;
}
.section__nav {
    position: relative;
    display: flex;
}
.section_mt {
    margin-top: 64px;
}
.section_mt_sm {
    margin-top: 16px;
}
.section_overflow {
    overflow: hidden;
}
.section_dark {
    background: var(--color-black);
    color: var(--color-white);
}
.section_bordered {
    border: 1px solid var(--color-grey);
    padding: 40px;
}
@media screen and (min-width: 768px) {
    .section__group {
        row-gap: 40px;
    }
    .section__title {
        font-size: 26px;
        margin: 0 0 24px;
    }
    .section_mt {
        margin-top: 80px;
    }
    .section_mt_sm {
        margin-top: 40px;
    }
}
@media screen and (min-width: 992px) {
    .section__group {
        flex-direction: row;
    }
    .section__group-item {
        max-width: calc(50% - 20px);
    }
    .section__title {
        font-size: 30px;
    }
}
@media screen and (min-width: 1312px) {
    .section__group-item {
        max-width: calc(50% - 40px);
    }
    .section__title {
        font-size: 36px;
    }
    .section_mt {
        margin-top: 120px;
    }
    .section_bordered {
        padding: 80px;
    }
}

.btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 10px;
    height: 56px;
    padding: 0 24px;
    border: 1px solid transparent;
    background: none;
    text-decoration: none;
    cursor: pointer;
    border-radius: 0;
    font-weight: 500;
    font-size: 12px;
    line-height: 1.3;
    letter-spacing: 1px;
    text-transform: uppercase;
    white-space: nowrap;
    transition: background var(--animate), color var(--animate), border-color var(--animate);
    position: relative;
}
.btn_default {
    color: var(--color-white);
    border-color: var(--color-black);
    background: var(--color-black);
}
.btn_default:hover {
    color: var(--color-white);
    background: var(--color-primary);
    border-color: var(--color-primary);
}
.btn_block {
    width: 100%;
}
.btn[disabled] {
    cursor: not-allowed;
    filter: grayscale(100);
    opacity: 0.7;
    pointer-events: none;
}
@media screen and (min-width: 768px) {
    .btn {
        padding: 0 40px;
    }
}

.btn-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 8px;
    min-height: 24px;
    font-weight: 500;
    font-size: 12px;
    line-height: 1.3;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: var(--color-black);
}
.btn-link_lg {
    font-weight: 600;
    font-size: 14px;
}
@media screen and (min-width: 768px) {
    .btn-link_lg {
        font-size: 18px;
    }
}

.content-styles {
    font-weight: 400;
    font-size: 14px;
    line-height: 1.5;
}
.content-styles p {
    margin: 0;
}
.content-styles a:not([class]) {
    border-bottom: 1px solid var(--color-primary);
}
.content-styles a:not([class]):hover {
    border-color: transparent;
}
.content-styles * + p {
    margin-top: 1em;
}
.content-styles ul:not([class]) {
    margin: 1em 0;
    padding: 0;
    list-style-type: none;
}
.content-styles ul:not([class]) li {
    position: relative;
}
@media screen and (min-width: 768px) {
    .content-styles {
        font-size: 18px;
    }
}

.video-block {
    display: block;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%;
    position: relative;
}
.video-block__frame {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

._loading {
    position: relative;
    pointer-events: none;
    min-height: 100px;
}
._loading:before {
    content: "";
    width: 42px;
    height: 42px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    z-index: 10;
    transform-origin: 50%;
    box-sizing: border-box;
    border: 4px solid var(--color-primary);
    border-radius: 50%;
    border-top-color: transparent;
    animation: preloader-spin 1s infinite linear;
}
@keyframes preloader-spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}